aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDanilo M. <danix@danix.xyz>2026-06-10 12:30:25 +0200
committerDanilo M. <danix@danix.xyz>2026-06-10 12:30:25 +0200
commit85c8acbae12efa575c77691bdf8fe6f2d180f2d1 (patch)
tree256b008c8d7e79992f1799d4b1dd117d10d73132
parent35c5bdf8533c2013f026114a96ae50a1a7e177ab (diff)
downloadmy-slackbuilds-85c8acbae12efa575c77691bdf8fe6f2d180f2d1.tar.gz
my-slackbuilds-85c8acbae12efa575c77691bdf8fe6f2d180f2d1.zip
Added btop
-rw-r--r--.extras/nvchecker.toml6
-rw-r--r--README.md1
-rw-r--r--btop/README8
-rw-r--r--btop/btop.SlackBuild100
-rw-r--r--btop/btop.info10
-rw-r--r--btop/doinst.sh11
-rw-r--r--btop/slack-desc19
7 files changed, 155 insertions, 0 deletions
diff --git a/.extras/nvchecker.toml b/.extras/nvchecker.toml
index 65cd627..4d4fa10 100644
--- a/.extras/nvchecker.toml
+++ b/.extras/nvchecker.toml
@@ -102,3 +102,9 @@ pypi = "huggingface_hub"
source = "github"
github = "mitsuhiko/click"
use_max_tag = true
+
+[btop]
+source = "github"
+github = "aristocratos/btop"
+use_latest_release = true
+
diff --git a/README.md b/README.md
index 5a16267..4a1bc62 100644
--- a/README.md
+++ b/README.md
@@ -55,6 +55,7 @@ Each package lives in its own top-level subfolder:
| python3-typer | ✅ | not tested | ❌ | 0.25.1 | 0.25.1 |
| python3-huggingface_hub | ✅ | not tested | ❌ | 1.18.0 | 1.18.0 |
| click | ✅ | not tested | ✅ | 8.4.1 | 8.4.1 |
+| btop | ✅ | not tested | ✅ | 1.4.6 | 1.4.6 |
---
diff --git a/btop/README b/btop/README
new file mode 100644
index 0000000..024acbf
--- /dev/null
+++ b/btop/README
@@ -0,0 +1,8 @@
+Resource monitor that shows usage and stats for processor, memory,
+disks, network and processes.
+C++ version and continuation of bashtop and bpytop.
+
+lowdown is an optional dependency to generate the program's man page.
+
+Added `make setcap` in the SlackBuild to work with Intel iGPU
+
diff --git a/btop/btop.SlackBuild b/btop/btop.SlackBuild
new file mode 100644
index 0000000..87835df
--- /dev/null
+++ b/btop/btop.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for btop
+
+# Copyright 2022-2026 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20230203 bkw: fix PRINT_PACKAGE_NAME, add doinst.sh for desktop/icons.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=btop
+VERSION=${VERSION:-1.4.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+
+sed -i "s|-O2|$SLKCFLAGS|" Makefile || exit 1
+sed -i "s|share/man|man|" Makefile || exit 1
+LDFLAGS=-ldl make PREFIX=/usr all
+make PREFIX=/usr install DESTDIR=$PKG
+make PREFIX=/usr setcap
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -exec gzip -9 {} \;
+ for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md CHANGELOG.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/btop/btop.info b/btop/btop.info
new file mode 100644
index 0000000..0335045
--- /dev/null
+++ b/btop/btop.info
@@ -0,0 +1,10 @@
+PRGNAM="btop"
+VERSION="1.4.6"
+HOMEPAGE="https://github.com/aristocratos/btop/"
+DOWNLOAD="https://github.com/aristocratos/btop/archive/v1.4.6/btop-1.4.6.tar.gz"
+MD5SUM="6e7c9b1fe7e1894d1e66c5557e1abf62"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/btop/doinst.sh b/btop/doinst.sh
new file mode 100644
index 0000000..e3d6e86
--- /dev/null
+++ b/btop/doinst.sh
@@ -0,0 +1,11 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+/sbin/setcap cap_perfmon=+ep usr/bin/btop
diff --git a/btop/slack-desc b/btop/slack-desc
new file mode 100644
index 0000000..9771f3d
--- /dev/null
+++ b/btop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+btop: btop (system resources monitor)
+btop:
+btop: Resource monitor that shows usage and stats for processor, memory,
+btop: disks, network and processes.
+btop: C++ version and continuation of bashtop and bpytop.
+btop:
+btop: homepage: https://github.com/aristocratos/btop/
+btop:
+btop:
+btop:
+btop: